# PSR Rules

- PSR1
    - PSR1.Classes
        - PSR1.Classes.ClassDeclaration
            - PSR1.Classes.ClassDeclaration.MultipleClasses
            - PSR1.Classes.ClassDeclaration.MissingNamespace
    - PSR1.Files   
        - PSR1.Files.SideEffects
            - PSR1.Files.SideEffects.FoundWithSymbols
    - PSR1.Methods
        - PSR1.Methods.CamelCapsMethodNameSniff
            - PSR1.Methods.CamelCapsMethodNameSniff.NotCamelCaps
            
- PSR2
    - PSR2.Classes
        - PSR2.Classes.ClassDeclaration
            - PSR2.Classes.ClassDeclaration.SpaceBeforeKeyword
            - PSR2.Classes.ClassDeclaration.NewlineBeforeKeyword
            - PSR2.Classes.ClassDeclaration.SpaceAfterKeyword
            - PSR2.Classes.ClassDeclaration.SpaceAfterName
            - PSR2.Classes.ClassDeclaration.ExtendsLine
            - PSR2.Classes.ClassDeclaration.ImplementsLine
            - PSR2.Classes.ClassDeclaration.SpaceBeforeExtends
            - PSR2.Classes.ClassDeclaration.SpaceBeforeImplements
            - PSR2.Classes.ClassDeclaration.FirstExtendsInterfaceSameLine
            - PSR2.Classes.ClassDeclaration.FirstInterfaceSameLine
            - PSR2.Classes.ClassDeclaration.ExtendsInterfaceSameLine
            - PSR2.Classes.ClassDeclaration.InterfaceSameLine
            - PSR2.Classes.ClassDeclaration.InterfaceWrongIndent
            - PSR2.Classes.ClassDeclaration.NoSpaceBeforeName
            - PSR2.Classes.ClassDeclaration.SpaceBeforeName
            - PSR2.Classes.ClassDeclaration.SpaceBeforeComma
            - PSR2.Classes.ClassDeclaration.CloseBraceAfterBody
            - PSR2.Classes.ClassDeclaration.CloseBraceSameLine
        - PSR2.Classes.PropertyDeclaration
            - PSR2.Classes.PropertyDeclaration.Underscore
            - PSR2.Classes.PropertyDeclaration.VarUsed
            - PSR2.Classes.PropertyDeclaration.Multiple
            - PSR2.Classes.PropertyDeclaration.ScopeMissing
    - PSR2.ControlStructures
        - PSR2.ControlStructures.ControlStructureSpacing
            - PSR2.ControlStructures.ControlStructureSpacing.SpacingAfterOpenBrace
            - PSR2.ControlStructures.ControlStructureSpacing.SpaceBeforeCloseBrace
        - PSR2.ControlStructures.ElseIfDeclaration
            - PSR2.ControlStructures.ElseIfDeclaration.NotAllowed
        - PSR2.ControlStructures.SwitchDeclaration
            - PSR2.ControlStructures.SwitchDeclaration.caseNotLower
            - PSR2.ControlStructures.SwitchDeclaration.defaultNotLower
            - PSR2.ControlStructures.SwitchDeclaration.SpacingAfterCase
            - PSR2.ControlStructures.SwitchDeclaration.SpaceBeforeColonCase
            - PSR2.ControlStructures.SwitchDeclaration.SpaceBeforeColonDefault
            - PSR2.ControlStructures.SwitchDeclaration.BodyOnNextLineCase
            - PSR2.ControlStructures.SwitchDeclaration.BodyOnNextLineDefault
            - PSR2.ControlStructures.SwitchDeclaration.BreakNotNewLine
            - PSR2.ControlStructures.SwitchDeclaration.BreakIndent
            - PSR2.ControlStructures.SwitchDeclaration.WrongOpenerCase
            - PSR2.ControlStructures.SwitchDeclaration.WrongOpenerDefault
            - PSR2.ControlStructures.SwitchDeclaration.TerminatingComment
    - PSR2.Files
        - PSR2.ClosingTag
            - PSR2.ClosingTag.NotAllowed
        - PSR2.EndFileNewline
            - PSR2.EndFileNewline.NoneFound
            - PSR2.EndFileNewline.TooMany
    - PSR2.Methods
        - PSR2.Methods.FunctionClosingBrace
            - PSR2.Methods.FunctionClosingBrace.SpacingBeforeClose
        - PSR2.Methods.MethodDeclaration
            - PSR2.Methods.MethodDeclaration.Underscore
            - PSR2.Methods.MethodDeclaration.FinalAfterVisibility
            - PSR2.Methods.MethodDeclaration.AbstractAfterVisibility
            - PSR2.Methods.MethodDeclaration.StaticBeforeVisibility
    - PSR2.Namespaces
        - PSR2.Namespaces.NamespaceDeclaration
            - PSR2.Namespaces.NamespaceDeclaration.BlankLineAfter
        - PSR2.Namespaces.UseDeclaration
            - PSR2.Namespaces.UseDeclaration.SpaceAfterUse
            - PSR2.Namespaces.UseDeclaration.MultipleDeclarations
